package com.gxwebsoft.love.enums;

public enum ChatMessageType {
    TEXT( 1, "text"),
    IMAGE(2, "image"),
    VOICE(3, "voice"),
    CARD(4, "card"),
    ;

    private int index;

    private String name;
    ChatMessageType(int i, String text) {
        this.name = text;
        this.index = i;
    }

    public String getName() {
        return name;
    }

    public int getIndex() {
        return index;
    }
}
